=== debian/changelog ===
axiom (20210105dp1-1) unstable; urgency=high

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 30 Apr 2025 13:11:29 -0400

axiom (20170501-15) unstable; urgency=high

  * build depend on gcl27

 -- Camm Maguire <camm@debian.org>  Sun, 13 Apr 2025 17:25:55 -0400

axiom (20170501-14) unstable; urgency=medium

  * support gcl27

 -- Camm Maguire <camm@debian.org>  Sun, 09 Feb 2025 18:51:55 -0500

axiom (20170501-13) unstable; urgency=medium

  * Bug fix: "ftbfs with GCC-14", thanks to Matthias Klose (Closes:
    #1074833).  Fix implicit int function declarations in cfuns pamphlet

 -- Camm Maguire <camm@debian.org>  Sun, 28 Jul 2024 11:44:11 -0400

axiom (20170501-12) unstable; urgency=medium

  * fix database building (directory behavior) and some pathname errors

 -- Camm Maguire <camm@debian.org>  Sun, 12 Feb 2023 18:08:56 -0500

axiom (20170501-11) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 08 Jan 2023 17:10:23 -0500

axiom (20170501-10) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 25 Dec 2022 18:09:21 -0500

axiom (20170501-9) unstable; urgency=medium

  * fix build dependencies

 -- Camm Maguire <camm@debian.org>  Thu, 22 Dec 2022 19:00:26 -0500

axiom (20170501-8) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 21 Dec 2022 14:50:16 -0500

axiom (20170501-7) unstable; urgency=medium

  * build-dep latest gcl
  * prune build-deps

 -- Camm Maguire <camm@debian.org>  Wed, 21 Dec 2022 13:05:09 -0500
