=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://dl.sv.gnu.org/releases/axiom	.*axiom_([0-9a-z]*).tar.gz	debian	uupdate
